Subject: bug#10740: 24.0.93; shell-command-on-region works via menu but not by keys

From: Michael Heerdegen <[email-masked]>
Date: Sun, 11 Mar 2012 00:03:06 +0100

"Th. Rikl" <[email-masked]> writes:

> Typing a | in an ordinary buffer or on a linux-console works here. ???
>
> With the help of xev I found that the keycord M-| emits nothing (in my
> configuration) so it may be no emacs problem.

I have exactly the same problem (German keyboard, Debian Wheezy).  I
don't think it's Emacs related (because of the xev behavior you see).

Some time ago, I couldn't type C-M-~.  Now, it suddenly works (?)
without any intervention.  Instead, M-| doesn't work.  Quite
mysterious.

At least, ESC |  works as a workaround for M-|.

Michael